//
// ColorButton
//

#ifndef _ColorButton_H
#define _ColorButton_H

#include <Button.h>

class ColorButton: public BButton {
typedef BButton inherited;
public:
	ColorButton(
		BRect frame
	, const char *name
	, const char *label
	, BMessage *message
	, uint32 resizemode = B_FOLLOW_LEFT | B_FOLLOW_TOP
	, uint32 flags = B_WILL_DRAW | B_NAVIGABLE)
	: BButton(frame, name, label, message, resizemode, flags)
	{}
	
	void SetBGColor(const rgb_color &clr) { m_BGColor = clr; Invalidate(); }
	rgb_color BGColor(void) const { return m_BGColor; }
	
	virtual void Draw(BRect updateRect);
	
private:
	rgb_color m_BGColor;	
};


#endif // _ColorButton_H