//
// frmColorPicker.h
// TfrmColorPicker class definition
//

// [FORM_HEADER_TOP]
#ifndef _frmColorPicker_H
#define _frmColorPicker_H

#include <KCL.h>
#include <BaseControls.h>
// [END_FORM_HEADER_TOP]

#include "ColorButton.h"

// [FORM_VIEW_CLASS]
class TfrmColorPickerView: public TFormView {
public:
  TfrmColorPickerView(TForm *parent)
  : TFormView(parent, "frmColorPickerView") {}
  virtual ~TfrmColorPickerView(void) {}
// [END_FORM_VIEW_CLASS]

};

// [FORM_CLASS]
class TfrmColorPicker: public TForm {
  void _formInit(void);
public:
  TfrmColorPicker(void);
  virtual ~TfrmColorPicker(void);

  virtual void MessageReceived(BMessage *);
  virtual void FormCreate(void);
  virtual void FormDestroy(void);
// [END_FORM_CLASS]

  void SetClrButton(ColorButton *cb) {
  	m_cb = cb;
  	if(m_cb) {
  		m_origColor = m_cb->BGColor();
  		ccColors->SetValue(m_cb->BGColor());
  	}
  }
  
  ColorButton *ClrButton(void) const { return m_cb; }

// [FORM_COMPONENTS]
  TColorControl<TfrmColorPicker> *ccColors;
  TButton<TfrmColorPicker> *btnOK;
  TButton<TfrmColorPicker> *btnCancel;
// [END_FORM_COMPONENTS]

// [FORM_EVENTS]
// [END_FORM_EVENTS]

// [COMPONENT_EVENTS]
  virtual void ccColorsChange(void);
  virtual void btnOKInvoked(void);
  virtual void btnCancelInvoked(void);
// [END_COMPONENT_EVENTS]

private:
  ColorButton *m_cb;
  rgb_color m_origColor;
};

// [FORM_HEADER_BOTTOM]
#endif // _frmColorPicker_H
// [END_FORM_HEADER_BOTTOM]
