//
// frmMain.h
// TfrmMain class definition
//

// [FORM_HEADER_TOP]
#ifndef _frmMain_H
#define _frmMain_H

#include <KCL.h>
#include <BaseControls.h>
// [END_FORM_HEADER_TOP]

#include <String.h>

#include "ColorButton.h"
#include "frmColorPicker.h"

// [FORM_VIEW_CLASS]
class TfrmMainView: public TFormView {
public:
  TfrmMainView(TForm *parent)
  : TFormView(parent, "frmMainView") {}
  virtual ~TfrmMainView(void) {}
// [END_FORM_VIEW_CLASS]

};

// [FORM_CLASS]
class TfrmMain: public TForm {
  void _formInit(void);
public:
  TfrmMain(void);
  virtual ~TfrmMain(void);

  virtual void MessageReceived(BMessage *);
  virtual void FormCreate(void);
  virtual void FormDestroy(void);
// [END_FORM_CLASS]

  // ColorButtons
  ColorButton *cbtnActiveTab;
  ColorButton *cbtnFrame;
  ColorButton *cbtnActiveBorder;
  ColorButton *cbtnInactiveBorder;
  ColorButton *cbtnActiveTitle;
  ColorButton *cbtnInactiveTitle;
  
// [FORM_COMPONENTS]
  TBox<TfrmMain> *Box1;
  TStringView<TfrmMain> *svActiveTab;
  TStringView<TfrmMain> *svFrame;
  TStringView<TfrmMain> *svActiveBorder;
  TStringView<TfrmMain> *svInactiveBorder;
  TStringView<TfrmMain> *svActiveTitle;
  TStringView<TfrmMain> *svInactiveTitle;
  TButton<TfrmMain> *btnApply;
// [END_FORM_COMPONENTS]

// [FORM_EVENTS]
// [END_FORM_EVENTS]

// [COMPONENT_EVENTS]
  virtual void btnApplyInvoked(void);
// [END_COMPONENT_EVENTS]

private:
  void SetRectBy(BRect &, TStringView<TfrmMain> *);
  void ShowClrEditor(int32 what);
  
  TfrmColorPicker *PickerFromIndex(int32);
  ColorButton *ButtonFromIndex(int32);
  BString TitleFromIndex(int32);
};

// [FORM_HEADER_BOTTOM]
#endif // _frmMain_H
// [END_FORM_HEADER_BOTTOM]
